# Alpha Random Number Generator

Abstract (written in 2016)

"This research abstract briefly presents research project "Alpha Random" which is abbreviated project name from "Alpha Particles Random Number Generator". The project lasted for thirteen months, from September 2015 to October 2016.
Alpha Random was research project I was motivated to start on my own. It was computer science and physics research project I decided to launch while I was learning about random functions, useful functions for getting random numbers, in Python programming language at school. I immediately became interested in random generators once I realized how great the importance of random numbers in computer science is. However, I wondered how a machine could generate a number which is really random. To find the answer, I started exploring true randomness and then came up with the idea of designing a true random number generator by myself in a unique way.
The project applies true random source to generate true random numbers. For the entropy source I chose natural radioactive source. To digitalize the signal gotten from radioactive particles, I used CMOS sensor which is hit by these particles and in this way produces an image. The image is processed using programs I developed in Python and which implement algorithms I designed. The output of a program is chosen type of random number.
The project objective was to create a low-cost and efficient random number generator. It is achieved in theory with practical performance of hardware tests, and with computer programs part which completes the project because it gives the final output. The concept is fully functional, hence it can be put into practice and included wherever true random parameters are needed with appropriate customization of the programs.
This research project is one of the best and the most valuable, exciting and memorable experiences I have ever had."

Implemented in Python using NumPy and OpenCV library.

Project duration: Sep 2015 - Oct 2016
